# Package org.apache.hc.client5.http.impl

Class Summary
Class | Description
--- | ---
AuthSupport |
ConnPoolSupport |
DefaultConnectionKeepAliveStrategy | Default implementation of a strategy deciding duration that a connection can remain idle.
DefaultSchemePortResolver | Default `SchemePortResolver`.
DefaultUserTokenHandler | Default implementation of `UserTokenHandler`.
ExecSupport |
IdleConnectionEvictor | This class maintains a background thread to enforce an eviction policy for expired / idle persistent connections kept alive in the connection pool.
InMemoryDnsResolver | In-memory `DnsResolver` implementation.
NamedElementChain<E> | Chain of doubly linked elements.
NoopUserTokenHandler | Noop implementation of `UserTokenHandler` that always returns `null`.

Exception Summary
Exception | Description
--- | ---
ConnectionShutdownException | Signals that the connection has been shut down or released back to the the connection pool